﻿using System.Windows.Controls;
using Photoviewer.DomainModel;

namespace Photoviewer.Modules.Albums.Views
{
    /// <summary>
    /// Interaction logic for AlbumDetailsView.xaml
    /// </summary>
    public partial class AlbumDetailsView : UserControl, IAlbumDetailsView
    {
        public AlbumDetailsView()
        {
            InitializeComponent();
        }

        #region IAlbumDetailsView Members

        /// <summary>
        /// Gets or sets the model for the view
        /// </summary>
        public Album Model
        {
            get { return DataContext as Album; }
            set { DataContext = value; }
        }

        #endregion
    }
}
