﻿using System.Collections.ObjectModel;

namespace Photoviewer.DataAccess.Contract
{
    /// <summary>
    /// Contract for the album data provider
    /// </summary>
    public interface IAlbumDataProvider
    {
        Collection<AlbumData> GetAlbums();
        AlbumData GetAlbumByPath(string value);
        AlbumData CreateAlbum(AlbumData param1);
        AlbumData UpdateAlbum(AlbumData param1);
        void DeleteAlbum(string value);
    }
}
