﻿using System;
using System.Windows.Controls;

namespace Photoviewer.Modules.Albums.Views
{
    /// <summary>
    /// Interaction logic for AlbumsView.xaml
    /// </summary>
    public partial class AlbumsView : UserControl, IAlbumsView
    {
        public AlbumsView()
        {
            InitializeComponent();
        }

        #region IAlbumsView Members

        /// <summary>
        /// Gets or sets the model for the view
        /// </summary>
        public AlbumsViewModel Model
        {
            get { return DataContext as AlbumsViewModel; }
            set { DataContext = value; }
        }

        public event EventHandler SelectedAlbumChanged;

        #endregion

        private void AlbumDropDown_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if (SelectedAlbumChanged != null)
            {
                SelectedAlbumChanged(this, EventArgs.Empty);
            }
        }
    }
}
