﻿using System;

namespace Photoviewer.Modules.Albums.Views
{
    /// <summary>
    /// Contract for the albums view
    /// </summary>
    public interface IAlbumsView
    {
        /// <summary>
        /// Gets or sets the module that is attached to the view
        /// </summary>
        AlbumsViewModel Model { get; set; }

        /// <summary>
        /// Gets fired when a different album is selected in the view
        /// </summary>
        event EventHandler SelectedAlbumChanged;
    }
}
