﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace Photoviewer.Common
{
    public class PercentageValueConverter: IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            double doubleValue = (double)value;
            return String.Format(CultureInfo.CurrentCulture, "{0}%", Math.Round((doubleValue * 100),0));
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
