﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Photoviewer.DomainModel;

namespace Photoviewer.Common.Contract
{
    /// <summary>
    /// Contract for the printing service
    /// </summary>
    public interface IPrintService
    {
        /// <summary>
        /// Prints the contents of a full album
        /// </summary>
        /// <param name="album"></param>
        void PrintAlbumContents(Album album);

        /// <summary>
        /// Prints a single photo
        /// </summary>
        /// <param name="photo"></param>
        void PrintPhoto(Photo photo);
    }
}
