﻿using System.Windows;
using System.Windows.Controls;
using Photoviewer.Common;

namespace Photoviewer.Modules.Photos.Views
{
    /// <summary>
    /// Interaction logic for PhotoDetailsView.xaml
    /// </summary>
    public partial class PhotoDetailsView : UserControl, IPhotoDetailsView
    {
        public PhotoDetailsView()
        {
            InitializeComponent();
        }

        #region IPhotoDetailsView Members

        public PhotoViewModel Model
        {
            get { return DataContext as PhotoViewModel; }
            set { DataContext = value; }
        }

        #endregion

        private void OnCloseButtonClick(object sender, RoutedEventArgs e)
        {
            DialogWorkspace.CloseActiveWorkspace();
        }
    }
}
