﻿using System.Windows.Controls;

namespace Photoviewer.Modules.Photos.Views
{
    /// <summary>
    /// Interaction logic for PhotoSummaryView.xaml
    /// </summary>
    public partial class PhotoSummaryView : UserControl,IPhotoSummaryView
    {
        /// <summary>
        /// Initializes a new instance of PhotoSummaryView
        /// </summary>
        public PhotoSummaryView()
        {
            InitializeComponent();
        }

        #region IPhotoSummaryView Members

        /// <summary>
        /// Gets or sets the model for the view
        /// </summary>
        public PhotoViewModel Model
        {
            get { return DataContext as PhotoViewModel; }
            set { DataContext = value; }
        }

        #endregion
    }
}
