﻿using Microsoft.Practices.Unity;
using Photoviewer.Common;
using Photoviewer.Modules.TagCloud.Views;

namespace Photoviewer.Modules.TagCloud
{
    public class TagsModuleController: ModuleController
    {
        /// <summary>
        /// Initializes a new instance of the TagsModuleController class.
        /// </summary>
        public TagsModuleController(IUnityContainer container): base(container)
        {
        }

        public void Initialize()
        {
            TagCloudPresenter presenter = Container.Resolve<TagCloudPresenter>();
            RegionManager.Regions[RegionNames.TagCloud].Add(presenter.View);
        }
    }
}
